Package Details: deflemask 0.12.1-5

Git Clone URL: https://aur.archlinux.org/deflemask.git (read-only, click to copy)
Package Base: deflemask
Description: A Multi-System music tracker (Genesis/MegaDrive, NES/Famicom (nsf), Commodore 64 (sid), and many others)
Upstream URL: https://deflemask.com
Keywords: chiptune deflemask delek genesis megadrive sega tracker ym2612
Licenses: unknown
Submitter: franciscod
Maintainer: franciscod
Last Packager: franciscod
Votes: 8
Popularity: 0.001460
First Submitted: 2013-05-12 03:06 (UTC)
Last Updated: 2021-05-11 19:03 (UTC)

Latest Comments

franciscod commented on 2021-05-11 19:03 (UTC)

Thanks ganthore. Fixed upstream URL to https://www.deflemask.com/DefleMask_Legacy_Linux.tar.gz, bumped to pkgrel 5

ganthore commented on 2021-05-10 14:33 (UTC)

The upstream distro appears to have turned into an app you have to pay for, so the download URL now redirects to https://deflemask.itch.io/linux where it is encouraging people to pay for an AppImage copy of the software.

They have a "get legacy" url close to the bottom of the page where you can get the correct url at: https://www.deflemask.com/DefleMask_Legacy_Linux.tar.gz

Fortunately, the DefleMask_Legacy_Linux.tar.gz file appears to have the same checksum.

franciscod commented on 2020-11-12 02:08 (UTC)

Thanks quite. Added the extra pkgs reported back in August.

franciscod commented on 2020-11-12 01:58 (UTC)

jmonger, check if installing lib32-glu fixes the issue. I'll add the pkgs reported by quite as deps.

jmonger commented on 2020-11-11 13:34 (UTC)

I receive this error when trying to launch Deflemask

./DefleMask: error while loading shared libraries: libGLU.so.1: cannot open shared object file: No such file or directory

fjdebruijn commented on 2020-08-23 05:40 (UTC)

If you are running Nvidia hardware you need to install lib32-nvidia-libgl otherwise you get the following:

Launching DefleMask overlay on /tmp/deflemask-unionfs. Your work and changes are saved to /home/[username]/.deflemask libGL error: No matching fbConfigs or visuals found libGL error: failed to load driver: swrast Unable to create OpenGL context

quite commented on 2020-08-03 20:00 (UTC)

The following pkgs are needed as well: lib32-libglvnd lib32-glu lib32-libao

franciscod commented on 2019-08-03 00:58 (UTC)

Thanks crioto. Bumped to 0.12.1

crioto commented on 2019-08-02 16:05 (UTC) (edited on 2019-08-02 16:06 (UTC) by crioto)

Getting this now.

==> Validating source files with md5sums...

DefleMask_Linux.tar.gz ... FAILED

launcher.sh ... Passed

deflemask.desktop ... Passed

==> ERROR: One or more files did not pass the validity check

libonation commented on 2018-12-03 12:58 (UTC)

In order to have the application running, I also needed to install the following packages:

lib32-libglvnd (or any other provider for libGL.so.1) lib32-glu lib32-alsa-lib lib32-alsa-plugins lib32-libpulse

franciscod commented on 2016-12-09 13:09 (UTC)

Thanks mixedCase. Added lib32-gtk2 and gtk2 dependencies

mixedCase commented on 2016-11-23 12:34 (UTC)

The package is missing a dependency on lib32-gtk2.

franciscod commented on 2016-08-09 18:00 (UTC)

pkgver=4 is out with shortcut in the app menu :)

franciscod commented on 2016-08-09 17:37 (UTC)

What's the 64bit dependency that shouldn't be installed?

franciscod commented on 2016-08-09 17:24 (UTC)

Hi rjt. Thanks for commenting! Did you notice any missing dependency in particular? I'll review the 64/32 bits issue and will create a desktop shortcut shortly.

rjt commented on 2016-08-09 16:41 (UTC) (edited on 2016-08-09 16:42 (UTC) by rjt)

This does not seem to install all the required dependencies. And installs some 64-bit ones where they should all be 32-bit. It also doesn't insert itself into the application menu.

franciscod commented on 2016-06-07 06:22 (UTC)

Updated links to the new 0.12.0 release (the final version of what was v11.1 / v12)!

franciscod commented on 2016-04-10 19:45 (UTC)

Fixed links to v12 on delek.net, thanks ainola!

ainola commented on 2016-04-10 19:30 (UTC)

Check your source links, this 404s

franciscod commented on 2016-01-28 03:51 (UTC)

updated to v11.1 pre-release! more info here: http://www.delek.com.ar/forum/deflemask/*-deflemask-pre-release-*/

franciscod commented on 2014-11-30 02:31 (UTC)

it builds now!

franciscod commented on 2014-11-30 02:20 (UTC)

whoops, refactor went wrong, sorry for that! thanks TimmyWeerwag

tweerwag commented on 2014-11-28 19:55 (UTC)

It doesn't build, the source array is empty... ;)

franciscod commented on 2014-06-30 18:31 (UTC)

Updated to 9s.

franciscod commented on 2014-02-11 02:07 (UTC)

Updated to 9e. Thanks, kba!

kba commented on 2014-02-11 01:56 (UTC)

Out of date. Working version with updated md5sums: http://pastebin.com/vNpFFTMa

franciscod commented on 2013-06-17 01:03 (UTC)

Updated to 9c. Thanks ZekeSulastin for flagging the package!